数据提供商: Serper
通过URL获取网页的可见内容(Serper)
每次调用 $0.0022 起在 20 秒内响应
通过URL获取一个网页,然后让Serper从中提取可阅读的内容、可选的Markdown格式版本以及该网页的元数据。如果同时需要使用 Markdown,只需提供一个 HTTP 或 HTTPS URL,并加上 includeMarkdown 参数即可。每次调用只返回一页内容,而如果返回的页面内容为空,则被视为无结果。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the Serper endpoint /scrape on Glasser.bash
glasser run -p serper -e '/scrape' -i '{"url":"https://example.com","includeMarkdown":true}' --endpoint-version 3使用接口版本 3。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"serper","endpoint":"/scrape","input":{"url":"https://example.com","includeMarkdown":true},"endpoint_version":3}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 3,运行前请确认当前价格。
第 2 步尝试一个具体任务
从指定网页研究问题时,可以收集相关段落,为研究笔记提供依据。
复制此提示词到你的 Agent,查找与研究问题相关的网页段落。
提示词
Use serper:/scrape on Glasser.
Read my source page and pull passages that answer the research question I provide.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"url"
],
"properties": {
"url": {
"type": "string",
"pattern": "^https?:\\/\\/.+"
},
"includeMarkdown": {
"type": "boolean"
}
},
"additionalProperties": false
}json
{
"url": "https://example.com",
"includeMarkdown": true
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 基础费用 | 包含最多 2 积分。有无匹配数据均按此价格收费。 | $0.0022 |
|---|---|---|
| 额外积分的单价 | 超出前 2 个单位的部分,按每积分计费。 | $0.0011 |
| 每次运行的费用上限 | 总费用不会超过此金额。 | $0.011 |
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |